Package de.gebit.integrity.runner.comparator

## Interface ResultComparator

- All Known Implementing Classes:
    `DefaultResultComparator`

      public interface ResultComparator

  The result comparator is used to compare a result object returned by a fixture instance with a given expected result (from the test script).
  Author:
    Rene Schneider - initial API and implementation

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ComparisonResult` | `compareResult​(Object aFixtureResult, ValueOrEnumValueOrOperationCollection anExpectedResult, FixtureWrapper<?> aFixtureInstance, MethodReference aFixtureMethod, String aPropertyName)` | Compares the expected result with the actual result obtained from a test fixture.

- - ### Method Detail

    - #### compareResult

          ComparisonResult compareResult​(Object aFixtureResult,
                                         ValueOrEnumValueOrOperationCollection anExpectedResult,
                                         FixtureWrapper<?> aFixtureInstance,
                                         MethodReference aFixtureMethod,
                                         String aPropertyName)
                                  throws ClassNotFoundException,
                                         UnexecutableException,
                                         InstantiationException

      Compares the expected result with the actual result obtained from a test fixture.
      Parameters:
        `aFixtureResult` - the test fixture result
        `anExpectedResult` - the expected result as specified in the test script
        `aFixtureInstance` - the fixture instance that was used
        `aFixtureMethod` - the fixture method that was called
        `aPropertyName` - the name of the result property to be compared (null if it's the default result)
      Returns:
        true if the comparison was successful, false if the results are not considered equal
      Throws:
        `ClassNotFoundException`
        `InstantiationException`
        `UnexecutableException`